import request from '@/utils/request'

// 查询【请填写功能名称】列表
export function listForm(query) {
  return request({
    url: '/system/form/list',
    method: 'get',
    params: query
  })
}

// 查询【请填写功能名称】详细
export function getForm(id) {
  return request({
    url: '/system/form/' + id,
    method: 'get'
  })
}

// 新增【请填写功能名称】
export function addForm(action,ms) {
  return request({
    url: '/system/form/createTable/'+action+"/"+ms,
    method: 'get',
  })


}


// // 新增【请填写功能名称】
// export function addForm(data) {
//   return request({
//     url: '/system/form/',
//     method: 'post',
//      data: data
//   })
//
// }

// 修改【请填写功能名称】
export function updateForm(data) {
  return request({
    url: '/system/form',
    method: 'put',
    data: data
  })
}

// 删除【请填写功能名称】
export function delForm(action) {
  return request({
    url: '/system/form/' + action,
    method: 'delete',
    //params: action
  })
}

// 导出【请填写功能名称】
export function exportForm(query) {
  return request({
    url: '/system/form/export',
    method: 'get',
    params: query
  })
}

// 查询数据库的表
export function CheckName(tableName) {
  return request({
    url: '/system/form/selTable/' + tableName,
    method: 'get'
  })
}
